## ros-indigo-swri-opencv-util 2.8.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(swri_opencv_util)

find_package(catkin REQUIRED COMPONENTS cv_bridge swri_math_util)

find_package(OpenCV REQUIRED core imgproc highgui)

# The Boost Random library headers and namespaces changed between version
# 1.46 and 1.47
find_package(Boost REQUIRED COMPONENTS serialization thread) 
if(${Boost_LIB_VERSION} MATCHES "1_46*")
  add_definitions( -DBOOST_1_46 )
endif(${Boost_LIB_VERSION} MATCHES "1_46*")

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES ${PROJECT_NAME}
  CATKIN_DEPENDS cv_bridge swri_math_util
)

include_directories(include ${catkin_INCLUDE_DIRS} ${Boost_INCLUDE_DIRS})
  
add_library(${PROJECT_NAME}
  src/blend.cpp
  src/models.cpp
  src/model_fit.cpp
  src/show.cpp
  src/convert.cpp)
target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES} ${Boost_LIBRARIES} ${OpenCV_LIBS})

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h"
)

install(TARGETS ${PROJECT_NAME}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
)

=== debian/changelog ===
ros-indigo-swri-opencv-util (2.8.0-0trusty) trusty; urgency=high



 -- Marc Alban <malban@swri.org>  Wed, 06 Feb 2019 06:00:00 -0000

ros-indigo-swri-opencv-util (2.7.3-0trusty) trusty; urgency=high



 -- Marc Alban <malban@swri.org>  Thu, 03 Jan 2019 06:00:00 -0000

ros-indigo-swri-opencv-util (2.7.2-0trusty) trusty; urgency=high



 -- Marc Alban <malban@swri.org>  Thu, 20 Dec 2018 06:00:00 -0000

ros-indigo-swri-opencv-util (2.7.1-0trusty) trusty; urgency=high



 -- Marc Alban <malban@swri.org>  Fri, 14 Dec 2018 06:00:00 -0000

ros-indigo-swri-opencv-util (2.7.0-0trusty) trusty; urgency=high



 -- Marc Alban <malban@swri.org>  Tue, 04 Dec 2018 06:00:00 -0000

ros-indigo-swri-opencv-util (2.6.0-0trusty) trusty; urgency=high



 -- Marc Alban <malban@swri.org>  Sat, 03 Nov 2018 05:00:00 -0000

ros-indigo-swri-opencv-util (2.5.0-0trusty) trusty; urgency=high

  * Add function for fitting a rotation on 3D point correspondences. (#524 <https://github.com/swri-robotics/marti_common/issues/524>)
  * Contributors: Marc Alban

 -- Marc Alban <malban@swri.org>  Fri, 12 Oct 2018 05:00:00 -0000

ros-indigo-swri-opencv-util (2.4.0-0trusty) trusty; urgency=high

  * Add function to blend two images with alpha channels. (#522 <https://github.com/swri-robotics/marti_common/issues/522>)
  * Contributors: Marc Alban

 -- Marc Alban <malban@swri.org>  Tue, 09 Oct 2018 05:00:00 -0000

ros-indigo-swri-opencv-util (2.3.0-0trusty) trusty; urgency=high



 -- Marc Alban <malban@swri.org>  Fri, 25 May 2018 05:00:00 -0000

ros-indigo-swri-opencv-util (2.2.1-0trusty) trusty; urgency=high

  * Support ROS Melodic (#514 <https://github.com/swri-robotics/marti_common/issues/514>)
  * Contributors: P. J. Reed

 -- Marc Alban <malban@swri.org>  Fri, 11 May 2018 05:00:00 -0000

ros-indigo-swri-opencv-util (2.2.0-0trusty) trusty; urgency=high



 -- Marc Alban <malban@swri.org>  Mon, 12 Feb 2018 06:00:00 -0000

ros-indigo-swri-opencv-util (2.1.0-0trusty) trusty; urgency=high



 -- Marc Alban <malban@swri.org>  Fri, 26 Jan 2018 06:00:00 -0000

ros-indigo-swri-opencv-util (2.0.0-0trusty) trusty; urgency=high

  * Link in the "highgui" module for swri_opencv_util (#506 <https://github.com/swri-robotics/marti_common/issues/506>)
  * Contributors: P. J. Reed

 -- Marc Alban <malban@swri.org>  Mon, 18 Dec 2017 06:00:00 -0000

ros-indigo-swri-opencv-util (1.2.0-0trusty) trusty; urgency=high

  * Add PerpendicularPlaneWithPoint RANSAC model (#487 <https://github.com/swri-robotics/marti_common/issues/487>)
  * Contributors: Matthew Bries

 -- Marc Alban <malban@swri.org>  Fri, 13 Oct 2017 05:00:00 -0000

ros-indigo-swri-opencv-util (1.1.0-0trusty) trusty; urgency=high

  * Implement RANSAC and least squares model fitting for 3d geometry (#479 <https://github.com/swri-robotics/marti_common/issues/479>)
  * Add missing cv_bridge dependency. (#480 <https://github.com/swri-robotics/marti_common/issues/480>)
  * Contributors: Edward Venator, Marc Alban, P. J. Reed

 -- Marc Alban <malban@swri.org>  Thu, 31 Aug 2017 05:00:00 -0000

ros-indigo-swri-opencv-util (1.0.0-0trusty) trusty; urgency=high



 -- Marc Alban <malban@swri.org>  Wed, 02 Aug 2017 05:00:00 -0000

ros-indigo-swri-opencv-util (0.3.0-0trusty) trusty; urgency=high

  * Merge together the indigo, jade, and kinetic branches (#443 <https://github.com/swri-robotics/marti_common/issues/443>)
  * Contributors: P. J. Reed

 -- Marc Alban <malban@swri.org>  Tue, 20 Jun 2017 05:00:00 -0000

ros-indigo-swri-opencv-util (0.2.4-0trusty) trusty; urgency=high



 -- Marc Alban <malban@swri.org>  Tue, 11 Apr 2017 05:00:00 -0000

ros-indigo-swri-opencv-util (0.2.3-0trusty) trusty; urgency=high

  * Fix OpenCV dependencies for Kinetic build (#400 <https://github.com/swri-robotics/marti_common/issues/400>)
  * Contributors: P. J. Reed

 -- Marc Alban <malban@swri.org>  Fri, 09 Dec 2016 06:00:00 -0000

ros-indigo-swri-opencv-util (0.2.2-0trusty) trusty; urgency=high

  * Migrated OpenCV to 3.1 (default in Kinetic)
  * Contributors: Brian Holt

 -- Marc Alban <malban@swri.org>  Wed, 07 Dec 2016 06:00:00 -0000

ros-indigo-swri-opencv-util (0.2.1-0trusty) trusty; urgency=high



 -- Marc Alban <malban@swri.org>  Sun, 23 Oct 2016 05:00:00 -0000

ros-indigo-swri-opencv-util (0.2.0-0trusty) trusty; urgency=high



 -- Marc Alban <malban@swri.org>  Tue, 21 Jun 2016 05:00:00 -0000

ros-indigo-swri-opencv-util (0.1.5-0trusty) trusty; urgency=high



 -- Marc Alban <malban@swri.org>  Fri, 13 May 2016 05:00:00 -0000

ros-indigo-swri-opencv-util (0.1.4-0trusty) trusty; urgency=high

  * Fixed compile error when ros-indigo-opencv3 is installed (#307 <https://github.com/evenator/marti_common/issues/307>)
    * Fixed compile error when package ros-indigo-opencv3 is installed.
    swri_geometry_util uses wrong version of OpenCV when the package
    ros-indigo-opencv3 is installed. This patch fixes the issue.
    * Updated all CMakeFiles.txt to specify OpenCV version 2
    The find_package for OpenCV is now:
    ./swri_opencv_util/CMakeLists.txt:find_package(OpenCV 2 REQUIRED)
    ./swri_geometry_util/CMakeLists.txt:find_package(OpenCV 2 REQUIRED)
    ./swri_image_util/CMakeLists.txt:find_package(OpenCV 2)
    ./swri_transform_util/CMakeLists.txt:find_package(OpenCV 2 REQUIRED)
  * Contributors: Kim Mathiassen

 -- Marc Alban <malban@swri.org>  Thu, 12 May 2016 05:00:00 -0000

ros-indigo-swri-opencv-util (0.1.3-0trusty) trusty; urgency=high



 -- Marc Alban <malban@swri.org>  Fri, 04 Mar 2016 06:00:00 -0000

ros-indigo-swri-opencv-util (0.1.2-0trusty) trusty; urgency=high

  * Mark some constructors explicit.
  * Refactor RANSAC matching code to use more matrix operations.
  * Fix bugs in FitRigidTransform2d.
    The main problem was that reshape was being incorrectly, causing the
    points to get shuffled around.  Once that was fixed, it was clear that
    the rotation should not be inverted.  Also added a comment to clarify
    the significance of the returned transform.


=== debian/control ===
Source: ros-indigo-swri-opencv-util
Section: misc
Priority: extra
Maintainer: Marc Alban <malban@swri.org>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-cv-bridge, ros-indigo-swri-math-util
Homepage: https://github.com/swri-robotics/marti_common
Standards-Version: 3.9.2

Package: ros-indigo-swri-opencv-util
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-cv-bridge, ros-indigo-swri-math-util
Description: swri_opencv_util

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-swri-opencv-util//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
